Bug 177532 - genhdlist crashes when using --nosplit
genhdlist crashes when using --nosplit
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
Depends On:
Blocks: 176344
  Show dependency treegraph
Reported: 2006-01-11 12:04 EST by Daniel Larsson
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-21 14:35:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch fixing the segmentation fault in genhdlist.c (263 bytes, patch)
2006-01-11 12:04 EST, Daniel Larsson
no flags Details | Diff

  None (edit)
Description Daniel Larsson 2006-01-11 12:04:54 EST
Description of problem:

Running genhdlist --nosplit causes a segmentation fault due to deallocating a
randomly initialized pointer.

Version-Release number of selected component (if applicable):

How reproducible:
I believe every time.

Steps to Reproduce:
1. Build an installation tree
2. /usr/lib/anaconda-runtime/genhdlist --nosplit --fileorder <file> <inst-tree>
Actual results:
Segmentation fault

Expected results:
A correctly generated hdlist

Additional info:
See attached patch
Comment 1 Daniel Larsson 2006-01-11 12:04:55 EST
Created attachment 123056 [details]
Patch fixing the segmentation fault in genhdlist.c
Comment 5 RHEL Product and Program Management 2006-08-18 12:47:49 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 6 Peter Jones 2006-08-21 14:22:25 EDT
This needs to be raised through support properly, with details about the problem
being solved, and why genhdlist is even something that's required.  NAKing for 4.5 .
Comment 7 RHEL Product and Program Management 2006-08-21 14:35:46 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request. 
Comment 8 Daniel Larsson 2006-08-21 14:53:43 EDT
From the guides I've found, genhdlist is used as part of the process to generate
installation images. Perhaps this was now an outdated procedure? At any rate,
I'm using genhdlist for building a customized set of ISO images. I'm not sure I
understand what "raised through support properly" entails. I'm guessing I should
have reported this through our RHN support thingamajig, yes?
Comment 9 Paul Nasrat 2006-08-21 15:35:29 EDT
To refer to https://bugzilla.redhat.com/bugzilla/

"If you are a Red Hat Enterprise Linux customer and have an active support
entitlement, please log in to Red Hat Support  for assistance with your issue."


This is so issues can be appropriately prioritised, and is the correct process
for  things for consideration into update releases.

Note You need to log in before you can comment on or make changes to this bug.